Name:           atinject
Version:        1
Release:        30.20100611svn86
Summary:        Java API for JSR-330 Dependency Injection
License:        ASL 2.0
URL:            https://directory.fsf.org/wiki/Atinject
BuildArch:      noarch
Source0:        atinject-%{version}.tar.xz
Source1:        MANIFEST.MF
Source2:        MANIFEST-TCK.MF
Source3:        http://www.apache.org/licenses/LICENSE-2.0.txt
BuildRequires:  javapackages-local java-devel junit
Patch0001:      atinject-target-1.5.patch

%description
AtInject is the Java API build by the JSR-330.It's a set
of API aiming to standardize an extensible dependency
injection paradigm, as those provided by Guice, Spring or
Plexus projects.

%package        devel
Summary:        Testing atinject compatibility with JSR-330
Requires:       atinject = %{version}-%{release} junit
Provides:       atinject-tck = %{version}-%{release}
Obsoletes:      atinject-tck < %{version}-%{release}

%description    devel
Testing atinject compatibility with JSR-330

%package        help
Summary:        API documentation for atinject
Provides:       atinject-javadoc = %{version}-%{release}
Obsoletes:      atinject-javadoc < %{version}-%{release}
%description    help
API documentation for atinject.

%prep
%autosetup -p1
cp %{SOURCE3} LICENSE
mkdir lib
build-jar-repository -p lib junit
sed -i -e 's/pom\.groupId/project.groupId/' tck-pom.xml
%mvn_file :javax.inject atinject javax.inject/atinject
%mvn_file :javax.inject-tck atinject-tck
%mvn_package :javax.inject-tck tck

%build
set -e
alias rm=: xargs=: javadoc='javadoc -Xdoclint:none'
source ./build.sh
jar umf %{SOURCE1} build/dist/javax.inject.jar
jar umf %{SOURCE2} build/tck/dist/javax.inject-tck.jar
%mvn_artifact pom.xml build/dist/javax.inject.jar
%mvn_artifact tck-pom.xml build/tck/dist/javax.inject-tck.jar
mv build/tck/javadoc build/javadoc/tck

%install
%mvn_install -J build/javadoc

%files -f .mfiles
%doc LICENSE

%files devel -f .mfiles-tck

%files help  -f .mfiles-javadoc

%changelog
* Wed Dec 4 2019 likexin<likexin4@huawei.com> - 1-30.20100611svn86
- Pakcage init
